
"use strict";

/*
 * @requires CookieQuestionTheme.js
 * @version 1.0.0
 */

/**
 * 
 * @type CookieQuestion
 */
class CookieQuestion {
    constructor(themeName, cookieQuestionDirUrlSlash, overrideYesUrl = "", overrideNoUrl = "", overrideCookieName = "") {
        // secure the eval cmd
        var cmd = "new CookieQuestionTheme_" 
            + themeName.replace(/[^\w]/g, "") 
            + "('" 
            + cookieQuestionDirUrlSlash.replace(/[^\w-.~:/+%]/g, "")
            + "','" + overrideYesUrl.replace(/[^\w-.~:/+%]/g, "")
            + "','" + overrideNoUrl.replace(/[^\w-.~:/+%]/g, "")
            + "','" + overrideCookieName.replace(/('|")/g, "")
            + "');";
        var cookieQuestionThemeImpl = eval(cmd);
        if ((cookieQuestionThemeImpl instanceof CookieQuestionTheme)
            &&
            (cookieQuestionThemeImpl.constructor.name !== "CookieQuestionTheme")
            ) {
            // cookieQuestionThemeImpl is a real subclass of CookieQuestionTheme
            this.theme = cookieQuestionThemeImpl;
            if (document.readyState === "complete") {
                this.handleEvent();
            }
            else {
                window.addEventListener("load", this, true);
            }
        }
    }
    handleEvent()
    {
        this.theme.showCookieQuestion();
    }
}
